Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1201411 - TypeError: execve() arg 3 contains a non-string value
Summary: TypeError: execve() arg 3 contains a non-string value
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Shea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker abrt_hash:e79e59a2b72...
Depends On:
Blocks: F22BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2015-03-12 16:26 UTC by Jaroslav Reznik
Modified: 2015-03-23 07:11 UTC (History)
9 users (show)

Fixed In Version: anaconda-22.20.6-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-23 07:11:06 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (1.13 MB, text/plain)
2015-03-12 16:26 UTC, Jaroslav Reznik
no flags Details
File: anaconda.log (28.04 KB, text/plain)
2015-03-12 16:26 UTC, Jaroslav Reznik
no flags Details
File: environ (654 bytes, text/plain)
2015-03-12 16:26 UTC, Jaroslav Reznik
no flags Details
File: os_info (443 bytes, text/plain)
2015-03-12 16:26 UTC, Jaroslav Reznik
no flags Details
File: program.log (234.99 KB, text/plain)
2015-03-12 16:26 UTC, Jaroslav Reznik
no flags Details
File: storage.log (842.09 KB, text/plain)
2015-03-12 16:26 UTC, Jaroslav Reznik
no flags Details
File: ifcfg.log (16.77 KB, text/plain)
2015-03-12 16:26 UTC, Jaroslav Reznik
no flags Details

Description Jaroslav Reznik 2015-03-12 16:26:15 UTC
Description of problem:
Run Live installer on Fedora 22 Alpha KDE spin, wait for a few seconds on the Welcome to Fedora 22 screen and Anaconda crashes.

Version-Release number of selected component:
anaconda-core-22.20.2-1.fc22.x86_64

The following was filed automatically by anaconda:
anaconda 22.20.2-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/subprocess.py", line 1335, in _execute_child
    raise child_exception
  File "/usr/lib64/python2.7/subprocess.py", line 710, in __init__
    errread, errwrite)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/iutil.py", line 187, in startProgram
    preexec_fn=preexec, cwd=root, env=env, **kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/iutil.py", line 261, in _run_program
    env_prune=env_prune)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/iutil.py", line 328, in execWithRedirect
    log_output=log_output, binary_output=binary_output)[0]
  File "/usr/lib64/python2.7/site-packages/pyanaconda/timezone.py", line 88, in time_initialize
    iutil.execWithRedirect(cmd, args)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 238, in run
    threading.Thread.run(self, *args, **kwargs)
TypeError: execve() arg 3 contains a non-string value

Additional info:
cmdline:        /usr/bin/python2  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:UUID=27D7-F63C rootfstype=vfat ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
executable:     /sbin/anaconda
hashmarkername: anaconda
journalctl:     Caused error: execve() arg 3 contains a non-string value
kernel:         4.0.0-0.rc1.git0.1.fc22.x86_64
lsblk_output:   Caused error: execve() arg 3 contains a non-string value
nmcli_dev_list: Caused error: execve() arg 3 contains a non-string value
other involved packages: python-libs-2.7.9-5.fc22.x86_64
product:        Fedora"
release:        Fedora release 22 (Twenty Two)
type:           anaconda
version:        Fedora

Comment 1 Jaroslav Reznik 2015-03-12 16:26:22 UTC
Created attachment 1001059 [details]
File: anaconda-tb

Comment 2 Jaroslav Reznik 2015-03-12 16:26:24 UTC
Created attachment 1001060 [details]
File: anaconda.log

Comment 3 Jaroslav Reznik 2015-03-12 16:26:25 UTC
Created attachment 1001061 [details]
File: environ

Comment 4 Jaroslav Reznik 2015-03-12 16:26:26 UTC
Created attachment 1001062 [details]
File: os_info

Comment 5 Jaroslav Reznik 2015-03-12 16:26:29 UTC
Created attachment 1001063 [details]
File: program.log

Comment 6 Jaroslav Reznik 2015-03-12 16:26:34 UTC
Created attachment 1001064 [details]
File: storage.log

Comment 7 Jaroslav Reznik 2015-03-12 16:26:36 UTC
Created attachment 1001065 [details]
File: ifcfg.log

Comment 8 David Shea 2015-03-12 17:23:25 UTC
Aww jeez, I see what happened. This will happen whenever using a high dpi display.

Comment 9 Fedora Blocker Bugs Application 2015-03-13 09:14:47 UTC
Proposed as a Blocker for 22-beta by Fedora user jreznik using the blocker tracking app because:

 Proposing as a blocker. HiDPI displays are becoming pretty common these days and this bug seems to prevent installation on any HiDPI equipped systems (in graphical mode). 

When using a dedicated installer image, the installer must be able to complete an installation using the text, graphical and VNC installation interfaces.

Comment 10 Fedora Update System 2015-03-13 18:33:14 UTC
python-blivet-1.0.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-blivet-1.0.3-1.fc22

Comment 11 Fedora Update System 2015-03-14 09:14:04 UTC
Package python-blivet-1.0.3-1.fc22, anaconda-22.20.4-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-blivet-1.0.3-1.fc22 anaconda-22.20.4-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3846/anaconda-22.20.4-1.fc22,python-blivet-1.0.3-1.fc22
then log in and leave karma (feedback).

Comment 12 Joe Brockmeier 2015-03-14 16:24:15 UTC
Another user experienced a similar problem:

Immediately on starting the installer - the error pops up before I can click the first button.

cmdline:        /usr/bin/python2  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Xfce-x86_64-22_A-3 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
journalctl:     Caused error: execve() arg 3 contains a non-string value
kernel:         4.0.0-0.rc1.git0.1.fc22.x86_64
lsblk_output:   Caused error: execve() arg 3 contains a non-string value
nmcli_dev_list: Caused error: execve() arg 3 contains a non-string value
other involved packages: python-libs-2.7.9-5.fc22.x86_64
package:        anaconda-core-22.20.2-1.fc22.x86_64
packaging.log:  
product:        Fedora"
reason:         TypeError: execve() arg 3 contains a non-string value
release:        Fedora release 22 (Twenty Two)
version:        Fedora

Comment 13 Adam Williamson 2015-03-16 16:33:14 UTC
The fix for this should be in Beta TC2 - https://dl.fedoraproject.org/pub/alt/stage/22_Beta_TC2/ . Can folks please check and report whether it works? Thanks!

Comment 14 Joe Brockmeier 2015-03-16 17:17:34 UTC
No Xfce spin with TC2? Oddly enough, I did not hit this bug with the GNOME/Workstation Live image, just the Xfce spin.

Comment 15 Adam Williamson 2015-03-16 17:28:36 UTC
Joe: https://dl.fedoraproject.org/pub/alt/stage/22_Beta_TC2/Live/x86_64/ has Xfce.

Comment 16 Dan Mossor [danofsatx] 2015-03-16 18:03:40 UTC
Discussed at Fedora Blocker Review Meeting 2015-03-16[0]:

AcceptedBlocker Beta - With the rise of hdipi setups, this bug is a conditional blocker of the criterion[1]: "When using a dedicated installer image, the installer must be able to complete an installation using the text, graphical and VNC installation interfaces."

[0]: http://meetbot.fedoraproject.org/fedora-blocker-review/2015-03-16/f22-blocker-review.2015-03-16-16.01.log.txt
[1]: https://fedoraproject.org/wiki/Fedora_22_Alpha_Release_Criteria#Installation_interfaces

Comment 17 Jaroslav Reznik 2015-03-17 08:46:57 UTC
(In reply to Adam Williamson (Red Hat) from comment #13)
> The fix for this should be in Beta TC2 -
> https://dl.fedoraproject.org/pub/alt/stage/22_Beta_TC2/ . Can folks please
> check and report whether it works? Thanks!

Yes, I do confirm the fix works. I can get through the Welcome screen and it does not crash. Anaconda is properly scaled to HiDPI. But I couldn't proceed with full installation as it's my primary system.

I just hit a small issue not related to blocker status that installer started on external display without HiDPI with HiDPI settings instead of internal HiDPI LCD. It seems more like random game where it starts. As the first time I encountered this bug, it started correctly on primary display that was internal LCD after Live CD boot.

Comment 18 Fedora Update System 2015-03-19 19:09:17 UTC
anaconda-22.20.6-1.fc22, python-blivet-1.0.5-1.fc22, libblockdev-0.7-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libblockdev-0.7-1.fc22,python-blivet-1.0.5-1.fc22,anaconda-22.20.6-1.fc22

Comment 19 Fedora Update System 2015-03-23 07:11:06 UTC
anaconda-22.20.6-1.fc22, python-blivet-1.0.5-1.fc22, libblockdev-0.7-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.